Get Domain
Return customer-facing domain detail.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"outbound_routing_ready": true,
"status": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_renew": false,
"created_at": "<string>",
"dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dns_records": [
{
"id": 123,
"name": "<string>",
"ttl": 123,
"type": "<string>",
"value": "<string>",
"is_system_managed": false,
"priority": 123
}
],
"inbound_tenant_external_id": "<string>",
"inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_name": "<string>",
"inbound_tenant_type": "<string>",
"mailboxes": [
{
"active": true,
"email": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>"
}
],
"redirect_mode": "301",
"redirect_url": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Response
Domain UUID
Domain name
Whether outbound routing is ready
Domain lifecycle status
Workspace UUID that contains the domain
Whether domain auto-renewal is enabled
Domain creation timestamp
Assigned dedicated IP UUID, if any
DNS records for the domain
Hide child attributes
Hide child attributes
DNS record identifier
DNS record name
DNS record TTL in seconds
DNS record type
DNS record value
Whether the record is managed by HybridBox
DNS record priority when applicable
Provider external ID for the inbound tenant
Inbound tenant UUID, if assigned
Inbound tenant display name, if assigned
Inbound tenant type, if assigned
Mailboxes on the domain
Hide child attributes
Hide child attributes
Configured redirect mode, if any
301, 302, iframe Configured redirect URL, if any
Domain last update timestamp
Was this page helpful?
